summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlbert Cheng <acheng@hdfgroup.org>2013-04-02 21:26:14 (GMT)
committerAlbert Cheng <acheng@hdfgroup.org>2013-04-02 21:26:14 (GMT)
commit7ee9828c2614ac320a65ed9def45133fc15663d0 (patch)
tree278e27c30f7ba77ebeacf14ae897c7c1521db885
parent26785f6af58cf92214f1c4065f88b7f5f402a1e0 (diff)
downloadhdf5-7ee9828c2614ac320a65ed9def45133fc15663d0.zip
hdf5-7ee9828c2614ac320a65ed9def45133fc15663d0.tar.gz
hdf5-7ee9828c2614ac320a65ed9def45133fc15663d0.tar.bz2
[svn-r23526] Bug fix: Mac system has dynamic library name in the form of libxyz.dylib. Changed test_plugin.in
to copy library file names in the form of libdynlib{123].*. Another problem: Even when copy failed in copying the libray files (was in the form of *.so*), the test still passed. That was because .libs was included in $HDF5_PLUGIN_PATH and the needed plug in libraries were generated there. Fixed by copying the plug in library files to separate directories and seetup HDF5_PLUGIN_PATH to include them but NOT .libs. Tested: used desycommittest (duck, emu, jam, koala, ostrich) plus cmakehdf5 in jam. The cmakehdf5 in jam reported a failure in Test #594: H5REPART-h5repart_test ....................................***Failed Since this failure could not be caused by my change in test_plugin.sh, I reported it to Allen and proceed to check this in.
-rw-r--r--test/test_plugin.sh.in20
1 files changed, 17 insertions, 3 deletions
diff --git a/test/test_plugin.sh.in b/test/test_plugin.sh.in
index 1a3dfc1..e8e37d0 100644
--- a/test/test_plugin.sh.in
+++ b/test/test_plugin.sh.in
@@ -34,7 +34,9 @@ exit_code=$EXIT_SUCCESS
TEST_NAME=plugin
TEST_BIN=`pwd`/$TEST_NAME
FROM_DIR=`pwd`/.libs
-PLUGIN_LIB2="$FROM_DIR/libdynlib2.so.*"
+PLUGIN_LIB1="$FROM_DIR/libdynlib1.* $FROM_DIR/libdynlib3.*"
+PLUGIN_LIB2="$FROM_DIR/libdynlib2.*"
+PLUGIN_LIBDIR1=testdir1
PLUGIN_LIBDIR2=testdir2
CP="cp -p" # Use -p to preserve mode,ownership,timestamps
RM="rm -rf"
@@ -48,7 +50,13 @@ TESTING() {
}
# Main Body
-# Create test directory if not exists yet.
+# Create test directories if not exists yet.
+test -d $PLUGIN_LIBDIR1 || mkdir -p $PLUGIN_LIBDIR1
+if [ $? != 0 ]; then
+ echo "Failed to create test directory($PLUGIN_LIBDIR1)"
+ exit $EXIT_FAILURE
+fi
+
test -d $PLUGIN_LIBDIR2 || mkdir -p $PLUGIN_LIBDIR2
if [ $? != 0 ]; then
echo "Failed to create test directory($PLUGIN_LIBDIR2)"
@@ -56,6 +64,12 @@ if [ $? != 0 ]; then
fi
# copy plugin library for test
+$CP $PLUGIN_LIB1 $PLUGIN_LIBDIR1
+if [ $? != 0 ]; then
+ echo "Failed to copy plugin library ($PLUGIN_LIB1) for test."
+ exit $EXIT_FAILURE
+fi
+
$CP $PLUGIN_LIB2 $PLUGIN_LIBDIR2
if [ $? != 0 ]; then
echo "Failed to copy plugin library ($PLUGIN_LIB2) for test."
@@ -63,7 +77,7 @@ if [ $? != 0 ]; then
fi
# setup plugin path
-ENVCMD="env HDF5_PLUGIN_PATH=${PLUGIN_LIBDIR2}:$FROM_DIR"
+ENVCMD="env HDF5_PLUGIN_PATH=${PLUGIN_LIBDIR1}:${PLUGIN_LIBDIR2}"
# Run the test
$ENVCMD $TEST_BIN